%define release_name Moblin
%define dist_version 2.1
%define tarver 2.1

Summary:	Moblin release files
Name:		moblin-release
Version:	2.1
Release:	9.1.moblin2
License:	GPLv2
Group:		System Environment/Base
URL:		http://www.moblin.org
Source:		%{name}-%{tarver}.tar.bz2
Provides:	redhat-release
Provides:	system-release = %{version}-%{release}
Obsoletes:   moblin-repos < 2.02-7.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Moblin release files such as various /etc/ files that define the release.

%prep
%setup -q -n moblin-release-%{tarver}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc
echo "Moblin release %{dist_version} (%{release_name})" > $RPM_BUILD_ROOT/etc/moblin-release
cp -p $RPM_BUILD_ROOT/etc/moblin-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp -p $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue
ln -s moblin-release $RPM_BUILD_ROOT/etc/system-release

mkdir -p $RPM_BUILD_ROOT/etc/pki/rpm-gpg
cp  RPM-GPG-KEY-moblin $RPM_BUILD_ROOT/etc/pki/rpm-gpg
pushd $RPM_BUILD_ROOT/etc/pki/rpm-gpg
ln -sf RPM-GPG-KEY-moblin RPM-GPG-KEY-moblin-2-primary
popd

# Set up the dist tag macros
install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

#%%moblin2	%{dist_version}
%%dist		.moblin	
%%moblin	2.1
EOF
install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
for file in moblin*repo ; do
  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL 
%config %attr(0644,root,root) /etc/moblin-release
/etc/system-release
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
%config %attr(0644,root,root) /etc/rpm/macros.dist
/etc/pki/rpm-gpg

%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/*
%changelog
* Sun Oct 25 2009 Anas Nashif <anas.nashif@intel.com> - 2.1
- Move to 2.1
* Tue Sep 22 2009 Anas Nashif <anas.nashif@intel.com> - 2.0.92
- Update release version
* Wed Aug  5 2009 Anas Nashif <anas.nashif@intel.com> - 2.0
- Fixed update repos, added test updates
* Sun Aug  2 2009 Anas Nashif <anas.nashif@intel.com> - 2.0
- Disable Trunk, enable Release
* Thu Jul 30 2009 Anas Nashif <anas.nashif@intel.com> - 2.0
- Remove adobe repo, use rpm from adobe instead
* Wed Jul 29 2009 Anas Nashif <anas.nashif@intel.com> - 2.0
- Fixed version
* Mon Jul 27 2009 Anas Nashif <anas.nashif@intel.com> - 2.0.1
- Enable updates now that we have a dummy repo up
* Fri Jul 24 2009 Anas Nashif <anas.nashif@intel.com> - 2.0
- Merge repo files here
- Added updates repo
* Mon Jun  8 2009 Anas Nashif <anas.nashif@intel.com> - 2.0
- Use 2.0 instead of 2 as the version
* Mon May  4 2009 Anas Nashif <anas.nashif@intel.com> 2
- Add moblin GPG key
* Wed Aug 13 2008 Rolla Selbak <rolla.n.selbak@intel.com> 2
- Fixed tar name
* Wed Aug 13 2008 Rolla Selbak <rolla.n.selbak@intel.com> 2
- Fixed release and version information (moblin2 to moblin version 2)
- Corrected URLs
* Wed Jun 18 2008 Peter Zhu <peter.j.zhu@intel.com> - 1-2
- Fix %%dist define for /etc/rpm/macros.dist
* Wed Jun 18 2008 Peter Zhu <peter.j.zhu@intel.com> - 1-1
- Change version from ww25 to 1
* Wed Jun 18 2008 Vivian Zhang <vivian.zhang@intel.com> - 0-1
- Create moblin2-release.spec
